Bug 235302 - subversion dumps core on commit if multiple files specified and one has a leading slash
subversion dumps core on commit if multiple files specified and one has a lea...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-04 18:47 EDT by James Hunt
Modified: 2008-05-06 15:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2007-04-04 18:47:32 EDT
Description of problem:

"svn commit" core dumps if you specify multiple files, and one of those files
is specified with an (erroneous) leading slash:

# works as expected:
# - if all 3 files do exist, commit happens
# - if files don't exist, svn reports this correctly
svn commit file1 file2 file3

# core dump
svn commit /file1 file2 file3

# core dump
svn commit /file1 /file2 file3

# core dump
svn commit file1 file2 /file3

# no core dump
svn commit file1

# no core dump
svn commit /file1

Whether the files exist in the repo or not is irrelevant.

Version-Release number of selected component (if applicable):

subversion-1.4.2-2.fc6

How reproducible:

Every time, with multiple repositories.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

> svn commit /a b
Aborted (core dumped)
> gdb svn core.23237 
GNU gdb Red Hat Linux (6.5-15.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".


warning: Can't read pathname for load map: Input/output error.
(no debugging symbols found)
Loaded symbols for /usr/bin/svn
Reading symbols from /usr/lib/libsvn_client-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_client-1.so.0
Reading symbols from /usr/lib/libsvn_wc-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_wc-1.so.0
Reading symbols from /usr/lib/libsvn_ra-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_ra-1.so.0
Reading symbols from /usr/lib/libsvn_diff-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_diff-1.so.0
Reading symbols from /usr/lib/libsvn_ra_local-1.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsvn_ra_local-1.so.0
Reading symbols from /usr/lib/libsvn_repos-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_repos-1.so.0
Reading symbols from /usr/lib/libsvn_fs-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_fs-1.so.0
Reading symbols from /usr/lib/libsvn_fs_fs-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_fs_fs-1.so.0
Reading symbols from /usr/lib/libsvn_fs_base-1.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsvn_fs_base-1.so.0
Reading symbols from /usr/lib/libsvn_ra_svn-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_ra_svn-1.so.0
Reading symbols from /usr/lib/libsvn_ra_dav-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_ra_dav-1.so.0
Reading symbols from /usr/lib/libsvn_delta-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsvn_delta-1.so.0
Reading symbols from /usr/lib/libsvn_subr-1.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsvn_subr-1.so.0
Reading symbols from /usr/lib/libaprutil-1.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libaprutil-1.so.0
Reading symbols from /lib/libcrypt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /usr/lib/libldap-2.3.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libldap-2.3.so.0
Reading symbols from /usr/lib/liblber-2.3.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/liblber-2.3.so.0
Reading symbols from /lib/libdb-4.3.so...(no debugging symbols found)...done.
Loaded symbols for /lib/libdb-4.3.so
Reading symbols from /usr/lib/libapr-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libapr-1.so.0
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /usr/lib/libneon.so.25...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libneon.so.25
Reading symbols from /lib/libssl.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libssl.so.6
Reading symbols from /lib/libcrypto.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypto.so.6
Reading symbols from /usr/lib/libgssapi_krb5.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /usr/lib/libk5crypto.so.3...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libdl.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libexpat.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.0
Reading symbols from /usr/lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libuuid.so.1...
(no debugging symbols found)...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /usr/lib/libpq.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpq.so.4
Reading symbols from /usr/lib/libsqlite3.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsqlite3.so.0
Reading symbols from /usr/lib/libsasl2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsasl2.so.2
Reading symbols from /lib/ld-linux.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/libkrb5support.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libkrb5support.so.0
Reading symbols from /lib/libnsl.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libnsl.so.1
(no debugging symbols found)
Core was generated by `svn commit /a b'.
Program terminated with signal 6, Aborted.
#0  0x006b4402 in __kernel_vsyscall ()
(gdb) where
#0  0x006b4402 in __kernel_vsyscall ()
#1  0x00ad6d40 in raise () from /lib/libc.so.6
#2  0x00ad8591 in abort () from /lib/libc.so.6
#3  0x00c5edd7 in svn_client_commit3 () from /usr/lib/libsvn_client-1.so.0
#4  0x800051a2 in svn_cl__commit () from /usr/bin/svn
#5  0x8000a1df in main () from /usr/bin/svn
(gdb) quit
> 

Expected results:

No core dump.

Additional info:
Comment 1 Joe Orton 2007-04-05 07:03:32 EDT
Can you reprocuce this with the 1.4.3 packages in updates-testing?

 # yum --enablerepo=updates-testing update subversion
Comment 2 James Hunt 2007-04-09 17:41:55 EDT
Hi Joe,

Sorry - I don't want to deviate from stable. How else can we progress this? Do
you see the problem?
Comment 3 Joe Orton 2007-04-11 09:31:16 EDT
Yes, OK, it's reproducible in the 1.4.3 packages too.
Comment 4 James Hunt 2007-04-11 16:28:48 EDT
great.. err, I think :-)
Comment 5 Joe Orton 2007-05-31 08:57:16 EDT
This is fixed upstream on the trunk.  Not sure the fix has been backported to 1.4.x.
Comment 6 Bug Zapper 2008-04-04 02:46:44 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:28:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.